# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`golang`](#golang): Install go in /usr/local/go and /usr/local/bin

## Classes

### golang

`/usr/local/share/` *must* exist.

Most people will not need to change any parameter other than `$version`.

#### Parameters

The following parameters are available in the `golang` class.

##### `version`

Data type: `String[1]`

The version of Go to install. You can find the latest version number at
https://golang.org/dl/

Default value: '1.13.6'

##### `link_binaries`

Data type: `Array[String[1]]`

The binaries to symlink into `/usr/local/bin`.

Default value: ['go', 'gofmt', 'godoc']

##### `source`

Data type: `String[1]`

URL to actual archive.

Default value: "${source_prefix}/go${version}.${os}-${arch}.tar.gz"

##### `source_prefix`

Data type: `String[1]`

URL to directory that contains the archive to download.

Default value: 'https://dl.google.com/go'

##### `os`

Data type: `String[1]`

The OS to use to determine what archive to download.

Default value: $facts['kernel']

##### `arch`

Data type: `String[1]`

The architecture to use to determine what archive to download.

Default value: $facts['os']['hardware']

